Loading...
Searching...
No Matches
Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >::Codim< codimension > Struct Template Reference

The Codim struct inherited from the Refinement implementation. More...

Inheritance diagram for Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >::Codim< codimension >:

## Public Attributes

typedef | SubEntityIterator
| The SubEntityIterator for each codim.

## Detailed Description

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension_>
template<int codimension>
struct Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >::Codim< codimension >

The Codim struct inherited from the Refinement implementation.

Template Parameters

  codimension | There is a different struct Codim for each codimension

## Member Data Documentation

## SubEntityIterator

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension_>
template<int codimension>

typedef Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >::Codim< codimension >::SubEntityIterator

The SubEntityIterator for each codim.

This is some sort of type, not necessarily a typedef

The documentation for this struct was generated from the following file:

- base.cc